ext {
    //Android 配置
    android = [
            compileSdkVersion: 30,
            buildToolsVersion: "30.0.0",
            applicationId    : "com.hh.arome",
//            minSdkVersion    : 24,
            minSdkVersion    : 21,
            targetSdkVersion : 22,
            versionCode      : 18,
            versionName      : "2.6.3"
    ]
    //依赖 配置
    dependencies = [
            "appcompat"              : 'androidx.appcompat:appcompat:1.0.2',
            "rxjava2"                : "io.reactivex.rxjava2:rxjava:2.2.2",
            "rxandroid2"             : 'io.reactivex.rxjava2:rxandroid:2.1.0',
//            "rxjava2"        : "io.reactivex.rxjava2:rxjava:2.0.7",
//            "rxandroid2"     : 'io.reactivex.rxjava2:rxandroid:2.0.1',
            "okio"                   : 'com.squareup.okio:okio:2.1.0',
            "okhttp3"                : 'com.squareup.okhttp3:okhttp:3.4.1',
            "okhttp3-log"            : 'com.squareup.okhttp3:logging-interceptor:3.4.1',
            "retrofit"               : 'com.squareup.retrofit2:retrofit:2.3.0',
            "retrofit-rxjava"        : 'com.squareup.retrofit2:adapter-rxjava:2.3.0',
            "retrofit-adapter-rxjava": "com.squareup.retrofit2:adapter-rxjava2:2.3.0",
            "gson"                   : 'com.google.code.gson:gson:2.8.5',
            "retrofit-gson"          : 'com.squareup.retrofit2:converter-gson:2.1.0',
            "permissions"            : 'com.github.getActivity:XXPermissions:18.5',
            "immersionbar"           : 'com.geyifeng.immersionbar:immersionbar:3.2.2',
            "circleimageview"        : 'de.hdodenhof:circleimageview:3.1.0',
            "glide"                  : 'com.github.bumptech.glide:glide:4.9.0',
//            "glide"                  : 'com.github.bumptech.glide:glide:4.5.0',
//            "glide"                  : 'com.github.bumptech.glide:glide:3.7.0',
            "recyclerview"           : 'androidx.recyclerview:recyclerview:1.0.0',
            "brvah"                  : 'com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.50',
            "eventbus"               : 'org.greenrobot:eventbus:3.1.1',
            "aspectj"                : 'org.aspectj:aspectjrt:1.8.14',
            "PageStateManager"       : 'com.github.hss01248:PageStateManager:3.0.1',
            "autosize"               : 'com.github.JessYanCoding:AndroidAutoSize:v1.2.1',
            "arouter-api"            : 'com.alibaba:arouter-api:1.5.2',//ARouter api
            "arouter-compiler"       : 'com.alibaba:arouter-compiler:1.5.2',//ARouter
            // Cannot access androidx.lifecycle.HasDefaultViewModelProviderFactory
            "lifecycle-extensions"   : 'androidx.lifecycle:lifecycle-extensions:2.2.0',//ARouter api
            "lifecycle-runtime"      : 'androidx.lifecycle:lifecycle-runtime:2.2.0',//ARouter
            // 状态切换
            "StatusLayoutManager"    : 'com.github.Bakumon:StatusLayoutManager:1.0.4',
            // 侧滑
            "SwipeDelMenuLayout"     : 'com.github.mcxtzhang:SwipeDelMenuLayout:V1.2.5',
            // 流式布局
            "flexbox"                : 'com.google.android:flexbox:1.1.1',
            "flowlayout"             : 'com.hyman:flowlayout-lib:1.1.2',
            // 阿里云OSS-图片上传
            "oss-android-sdk"        : 'com.aliyun.dpa:oss-android-sdk:2.9.2',
            // 图片选择https://github.com/LuckSiege/PictureSelector/issues/923
//            "PictureSelector"        : 'com.github.LuckSiege.PictureSelector:picture_library:v2.2.4',
//            "PictureSelector"        : 'com.github.LuckSiege.PictureSelector:picture_library:v2.5.3',
            "PictureSelector"        : 'io.github.lucksiege:pictureselector:v3.10.7',
            // 三级联动
            "PickerView"             : 'com.contrarywind:Android-PickerView:4.1.9',
//            "tencent_im"             : 'com.tencent.imsdk:imsdk:6.7.3184',
            "tencent_im"             : 'com.tencent.imsdk:imsdk-plus:5.4.666',
            // 四周阴影
            "ShadowLayout"           : 'com.github.lihangleo2:ShadowLayout:3.3.2',
            // switchbutton
            "SwitchButton"           : 'com.kyleduo.switchbutton:library:2.1.0',
            // 事件分发
            "event-bus"              : 'com.jeremyliao:live-event-bus-x:1.7.3',
            // blankj工具类
            "blankj-utilcodex"              : 'com.blankj:utilcodex:1.31.1'
    ]
    //仓库
    maven = [
            "jitpack": "https://jitpack.io"
    ]
}